Autore Topic: Passaggio a systemd  (Letto 132672 volte)

Offline 500paolo

  • *
  • Post: 31
  • Reputazione: 1
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #60 il: 20 Ottobre 2012 ore 11:23 »
O merda, primo problema: non hanno allineato lib32-nvidia!
Codice: [Seleziona]
errore: impossibile eseguire l'operazione richiesta (impossibile soddisfare le dipendenze)
:: lib32-nvidia-utils: richiede nvidia-utils=304.37

lib32/lib32-nvidia-utils 304.37-1 [installato]
platform/nvidia-utils 304.51-1 [installato: 304.37-1]

Ora controllo se è solo un disallineamento o se se lo sono scordato, come già capitato!

EDIT: se le sono scordate in testing! ora vedo di avvisare...
EDIT2: ho trovato un dev su IRC. Speriamo fixi a breve...

Salve a tutti.
Io ho il medesimo problema e quindi l'aggiornamento non avviene.

Offline Neal Caffrey

  • *
  • Post: 58
  • Reputazione: 3
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #61 il: 20 Ottobre 2012 ore 11:28 »
@Neal Per la stampante vai a vedere la wiki in inglese. Io avevo il tuo stesso problema e ho scoperto che hal non è più necessario. Segui la procedura e sei a posto.

EDIT: per i demoni vai prova a guardare qui

Grazie per i suggerimento. Allora:

alsa è gia attivo di default, come si può vedere dando questo comando (il servizio si chiama alsa-store e alsa-restore)

Codice: [Seleziona]
$ systemctl is-enabled alsa-store.service alsa-restore.service
static
static

Stessa cosa per dbus. Per ciò che concerne netfs invece il wiki di arch dice questo : (unused, handled automatically, see

remote-fs.target to manually execute scripts ), quindi presumo sia deprecato, giusto?

Il servizio cdemud invece, non è proprio menzionato nel wiki di arch...  :-\


EDIT: per la stampante, non la rileva proprio quando vado ad aggiungere una nuova stampante tramite cups
« Ultima modifica: 20 Ottobre 2012 ore 11:52 da Neal Caffrey »
Chakra Linux User since September 15th 2012
Intel core i5 430M, GeForce GT320M CUDA 1Gb - RAM 6GB

Offline fedefox

  • *
  • Post: 1453
  • Reputazione: 34
    • Mostra profilo
    • Allevamento Della Repubblica Pisana
Re:Passaggio a systemd
« Risposta #62 il: 20 Ottobre 2012 ore 11:38 »
Salve a tutti.
Io ho il medesimo problema e quindi l'aggiornamento non avviene.
ragazzi cmq quelle sono librerie di chakra-32 bit.... è ben noto ormai che a breve non sarà più supportato, non vi conveniva fare il passaggio alla versione a 64?

franck1992

Re:Passaggio a systemd
« Risposta #63 il: 20 Ottobre 2012 ore 11:44 »
Salve ragazzi.
Ho fatto 'aggiornamento sta mattina e all'avvio non mi partiva x (neanche con startx)
Poi da console ho renstallato xorg (forzando sennò non si  installava) e poi i driver nouveau.
Ora si avvia..  8)
Se qualcuno ha lo stesso problema magari questo può servire.. :)
Ora non funziona la tastiera...  >:( provo a reinstallare evdev e vi faccio sapere

Offline Marmar

  • *
  • Post: 43
  • Reputazione: 1
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #64 il: 20 Ottobre 2012 ore 11:47 »
Aggiornamento effettuato con successo, bastava aspettare un pochino e ridare pacman -Syu. Ora gli unici due problemucci li ho incontrati con i demoni, in due casi mi esce fuori questo:

Codice: [Seleziona]
[marmar@chakra-linux ~]$ sudo systemctl enable cdemud.service
Operation failed: No such file or directory
[marmar@chakra-linux ~]$ sudo systemctl enable netfs.service
Operation failed: No such file or directory

non credo sia un problema, giusto?  :)

franck1992

Re:Passaggio a systemd
« Risposta #65 il: 20 Ottobre 2012 ore 11:52 »
Salve ragazzi.
Ho fatto 'aggiornamento sta mattina e all'avvio non mi partiva x (neanche con startx)
Poi da console ho renstallato xorg (forzando sennò non si  installava) e poi i driver nouveau.
Ora si avvia..  8)
Se qualcuno ha lo stesso problema magari questo può servire.. :)
Ora non funziona la tastiera...  >:( provo a reinstallare evdev e vi faccio sapere
EDIT: reinstallato evdev e tutto funziona
Spero di esser stato utile a qualcuno  :)

franck1992

Re:Passaggio a systemd
« Risposta #66 il: 20 Ottobre 2012 ore 11:55 »
Aggiornamento effettuato con successo, bastava aspettare un pochino e ridare pacman -Syu. Ora gli unici due problemucci li ho incontrati con i demoni, in due casi mi esce fuori questo:

Codice: [Seleziona]
[marmar@chakra-linux ~]$ sudo systemctl enable cdemud.service
Operation failed: No such file or directory
[marmar@chakra-linux ~]$ sudo systemctl enable netfs.service
Operation failed: No such file or directory

non credo sia un problema, giusto?  :)
per il primo devi dare sudo systemctl enable cdemu-daemon.service)
il secondo pare non serve (guarda https://bbs.archlinux.org/viewtopic.php?id=146694 )
« Ultima modifica: 20 Ottobre 2012 ore 11:58 da franck1992 »

Offline Marmar

  • *
  • Post: 43
  • Reputazione: 1
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #67 il: 20 Ottobre 2012 ore 12:03 »
Grande franck1992! Risolto anche questi due! +1 a te!

Offline dinolib

  • *
  • Post: 3226
  • Reputazione: 110
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #68 il: 20 Ottobre 2012 ore 12:25 »
@fedefox: purtroppo le lib32 serviranno ancora per far girare i progr rilasciati ancora con codice 32bit (vedi draftsight) e saranno ancora supportate! lib32 continuerà ad esserci!

Al momento io ho rimosso lib32-nvidia-utils con pacman -Rdd. Draftsight finchè non sarà rilsciato il pacchetto non funziona. Ma tanto oggi è sabato e non mi serve  ;D

Farò sapere come procede

Offline silente0965

  • *
  • Post: 27
  • Reputazione: 0
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #69 il: 20 Ottobre 2012 ore 12:34 »
Ciao, forse è perché ho provato a fare l'aggiornamento troppo presto, anche se ho letto che alcuni ci sono già riusciti, ma dopo aver dato i comandi mi esce questo:

Codice: [Seleziona]
[marmar@chakra-linux ~]$ sudo pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-init
:: Sincronizzazione dei database in corso...
 lib32 è aggiornato
 core è aggiornato
 platform è aggiornato
 desktop è aggiornato
 apps è aggiornato
 games è aggiornato
 lib32 è aggiornato
:: Aggiornamento del sistema in corso...
:: Vuoi sostituire libpulse con platform/pulseaudio? [S/n] s
risoluzione delle dipendenze in corso...
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "systemd>=189", una dipendenza di "pulseaudio"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "systemd>=189", una dipendenza di "pulseaudio"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "linux>=3.5", una dipendenza di "madwifi"
attenzione: impossibile risolvere "systemd>=189", una dipendenza di "mysql"
attenzione: impossibile risolvere "systemd>=189", una dipendenza di "pulseaudio"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "dbus-core>=1.6.4", una dipendenza di "dbus"
attenzione: impossibile risolvere "systemd>=188", una dipendenza di "upower"
:: I seguenti pacchetti non possono essere aggiornati a causa di alcune dipendenze irrisolvibili:
      avahi  cdemu-daemon  cups  dbus  dbus-c++  gstreamer0.10-good-plugins  hplip  libcups  pulseaudio  madwifi  mysql  openjdk  qt  rtkit  samba
      telepathy-qt  telepathy-salut  upower

Vuoi ignorare i seguenti pacchetti per questo aggiornamento? [s/N] s
ricerca dei conflitti in corso...
 non ci sono aggiornamenti disponibili
attenzione: filesystem-2012.2-3 è aggiornato, sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei conflitti in corso...

Pacchetti (1): filesystem-2012.2-3

Dimensione totale dei pacchetti da installare:   0,32 MiB

Dimensione dell'aggiornamento di rete: 0,00 MiB

Vuoi procedere con l'installazione? [S/n] s
(1/1) controllo dell'integrità del pacchetto                                                   [#######################################################] 100%
(1/1) caricamento dei file del pacchetto                                                       [#######################################################] 100%
(1/1) aggiornamento in corso di filesystem                                                     [#######################################################] 100%
attenzione: i permessi delle directory differiscono su sys/
filesystem: 555 pacchetto: 755
errore: il seguente pacchetto non è stato trovato: chakra-init

non mi trova chakra-init!

Stesso errore,non mi fa fare nulla.... :-\

Offline Neal Caffrey

  • *
  • Post: 58
  • Reputazione: 3
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #70 il: 20 Ottobre 2012 ore 12:35 »
@whoami:

Tutto risolto, è bastato riavviare affinchè cups rilevasse la regola creata in precedenza.. Grazie per il supporto, ora posso dire davvero AGGIORNAMENTO RIUSCITO  :beer:
Chakra Linux User since September 15th 2012
Intel core i5 430M, GeForce GT320M CUDA 1Gb - RAM 6GB

Offline Cosworth117

  • *
  • Post: 405
  • Reputazione: 12
  • Quello dei problemi strani.
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #71 il: 20 Ottobre 2012 ore 12:51 »
Anch'io, aggiornamento riuscito. 2 PC su 2.  :)

P.S. Pazzesca la fase di spegnimento. Velicissima. Anche l'avvio non scherza.
i7 4790k
Asus Z97-a
Asus nvidia GTX 780
Corsair Vengeance Pro 8gb
SSD 120gb + HDD 2tb

Chakra OS + Windows 7 Ultimate

Offline FranzMari

  • *
  • Post: 2814
  • Reputazione: 103
  • [Senior Packager]
    • Mostra profilo
    • IMHO blog
Re:Passaggio a systemd
« Risposta #72 il: 20 Ottobre 2012 ore 12:54 »
@Marmar e Silente
Come scritto qualche post fa, prima di poter procedere all'aggiornamento occorre che i mirror siano sincronizzati: se sono sincronizzati, vi viene proposto tra gli aggiornamenti anche pacman.
Siccome nel vostro caso questo non succede, evidentemente i mirror non sono sincronizzati.

Personalmente consiglio di aspettare ancora un paio di giorni, in modo che i mirror siano sincronizzati e che i vari pacchetti siano allineati, per evitare problemi di dipendenze non soddisfatte.
«Il valore dell'essere umano si determina nella misura in cui sia grande o piccola la sua capacità di contribuire al bene collettivo.» Jigorō Kanō

Offline eXistenZ88

  • *
  • Post: 1
  • Reputazione: 0
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #73 il: 20 Ottobre 2012 ore 13:02 »
Riscontro problemi analoghi.

Codice: [Seleziona]
[michele@eXistenZ88 Documents]$ sudo pacman -Syu --ignore filesystem && sudo pacman -S filesystem --force && sudo pacman -S chakra-init
Password:
:: Synchronizing package databases...
 lib32 is up to date
 core is up to date
 platform is up to date
 desktop is up to date
 apps is up to date
 games is up to date
:: Starting full system upgrade...
:: Replace consolekit with desktop/polkit? [Y/n] y
warning: filesystem: ignoring package upgrade (2012.2-3 => 2012.8-1)
:: Replace intel-dri with platform/mesa? [Y/n] y
:: Replace libpulse with platform/pulseaudio? [Y/n] y
:: Replace udev with core/systemd? [Y/n] y
resolving dependencies...
looking for inter-conflicts...
:: systemd and sysvinit are in conflict. Remove sysvinit? [y/N] y
:: systemd and initscripts are in conflict. Remove initscripts? [y/N] y
:: mesa and libgles are in conflict. Remove libgles? [y/N] y
:: mesa and libegl are in conflict. Remove libegl? [y/N] y
:: mesa and khrplatform-devel are in conflict. Remove khrplatform-devel? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: lib32-qt: requires qt=4.8.2
[michele@eXistenZ88 Documents]$


by the way... ho già aggiornato i mirror e pacman.

Offline Marmar

  • *
  • Post: 43
  • Reputazione: 1
    • Mostra profilo
Re:Passaggio a systemd
« Risposta #74 il: 20 Ottobre 2012 ore 13:04 »
@FranzMari
in effetti era così: i mirror non erano sincronizzati, ma per me era questione di tempo. ci ho provato dopo dopo un'oretta e l'aggiornamento è avvenuto con successo. La mia Chakra ora è perfettamente aggiornata e funzionante!
Per me il problema è risolto!

@Silente
abbi pazienza è solo questione di tempo.

 

Template by Homey | Sito ufficiale | Disclaimer